from django.urls import path
from .search_views import SearchReactView, search, search_aliases, search_api_v2, search_vector_api, search_palette

urlpatterns = [
    path('', SearchReactView.as_view(), name='search_main'),
    path('api/', search, name='search_api'),
    path('api/v2/', search_api_v2, name='search_api_v2'),
    path('api/vector/', search_vector_api, name='search_vector_api'),
    path('aliases/', search_aliases, name='search_aliases'),
    path('palette/', search_palette, name='search_palette'),
]
